output "zone_id" {
  value = aws_route53_zone.private.id
}

output "reverse_zone_id" {
  value = aws_route53_zone.reverse.id
}

output dns_servers {
  value = [ for ipblock in aws_route53_resolver_endpoint.private_resolver.ip_address: ipblock["ip"] ]
}

output test_fwd_dns_entry {
  value = { 
    "fqdn": aws_route53_record.dnstest.fqdn,
    "value": tolist(aws_route53_record.dnstest.records)[0]
  }
}

output test_reverse_dns_entry {
  value = { 
    "fqdn": aws_route53_record.dnstest_reverse.fqdn, # lets not make this harder than it has to be
    "value": tolist(aws_route53_record.dnstest_reverse.records)[0]
  }
}
